/**
 * Copyright (c) 2017 Tomek Wójcik <tomek@bthlabs.pl>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

import React from "react";
import ReactDOM from "react-dom";

import DashboardView from "./views/DashboardView";
import DataSource from "./lib/DataSource";
import NavigationBarView from "./views/NavigationBarView";

class AppWindow extends React.Component {
  componentWillMount () {
    DataSource.setRouter(this.props.router);
  }
  render () {
    return (
      <div className="q3stats-app-window">
        <NavigationBarView
          location={this.props.location}
          router={this.props.router} />

        <div className="q3stats-content-view">
          {this.props.children || <DashboardView />}
        </div>

        <div className="q3stats-footer">
          <p className="text-center text-muted">
            <small>
              <span>Q3Stats v{window.Q3STATS.version} by </span>
              <a href="https://www.bthlabs.pl/">Tomek Wójcik</a>
            </small>
          </p>
        </div>
      </div>
    );
  }
}

export default AppWindow;
