/**
 * Copyright (c) 2017 Tomek Wójcik <tomek@bthlabs.pl>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

export const LAYOUT_WIDE = "wide";
export const LAYOUT_NARROW = "narrow";

export const DEFAULT_LAYOUT = LAYOUT_WIDE;

export const LAYOUT_CHOICES = [
  [LAYOUT_WIDE, "Wide"],
  [LAYOUT_NARROW, "Narrow"]
];

export const SETTINGS_KEYS = {
  LAYOUT: "layout"
};

export const DASHBOARD_ACTIONS = {
  CLEANUP: "ACTION_DASHBOARD_CLEANUP",
  LOAD_CHART_DATA: "ACTION_DASHBOARD_LOAD_CHART_DATA",
  LOAD_DATA: "ACTION_DASHBOARD_LOAD_DATA",
  PARSE_CHART_DATA: "ACTION_DASHBOARD_PARSE_CHART_DATA",
  PARSE_DATA: "ACTION_DASHBOARD_PARSE_DATA"
};

export const NAVIGATION_BAR_ACTIONS = {
  CLEANUP: "ACTION_NAVIGATION_BAR_CLEANUP",
  EXPAND: "ACTION_NAVIGATION_BAR_EXPAND",
  COLLAPSE: "ACTION_NAVIGATION_BAR_COLLAPSE",
  SHOW_ABOUT_MODAL: "ACTION_NAVIGATION_BAR_SHOW_ABOUT_MODAL",
  HIDE_ABOUT_MODAL: "ACTION_NAVIGATION_BAR_HIDE_ABOUT_MODAL",
  SHOW_SETTINGS_MODAL: "ACTION_NAVIGATION_BAR_SHOW_SETTINGS_MODAL",
  HIDE_SETTINGS_MODAL: "ACTION_NAVIGATION_BAR_HIDE_SETTINGS_MODAL"
};

export const PLAYER_GAME_ACTIONS = {
  CLEANUP: "ACTION_PLAYER_GAME_CLEANUP",
  LOAD_CHARTS_DATA: "ACTION_PLAYER_GAME_LOAD_CHARTS_DATA",
  LOAD_DATA: "ACTION_PLAYER_GAME_LOAD_DATA",
  PARSE_CHARTS_DATA: "ACTION_PLAYER_GAME_PARSE_CHARTS",
  PARSE_DATA: "ACTION_PLAYER_GAME_PARSE_DATA"
};

export const PLAYER_STATS_ACTIONS = {
  CLEANUP: "ACTION_PLAYER_STATS_CLEANUP",
  SET_MODE: "ACTION_PLAYER_STATS_SET_MODE",
  LOAD_CHART_DATA: "ACTION_PLAYER_STATS_LOAD_CHART_DATA",
  PARSE_CHART_DATA: "ACTION_PLAYER_STATS_PARSE_CHART_DATA"
};

export const PLAYERS_ACTIONS = {
  CLEANUP: "ACTION_PLAYERS_CLEANUP",
  LOAD_DATA: "ACTION_PLAYERS_LOAD_DATA",
  PARSE_DATA: "ACTION_PLAYERS_PARSE_DATA"
};

export const SESSIONS_ACTIONS = {
  CLEANUP: "ACTION_SESSIONS_CLEANUP",
  LOAD_CHART_DATA: "ACTION_SESSIONS_LOAD_CHART_DATA",
  LOAD_DATA: "ACTION_SESSIONS_LOAD_DATA",
  PARSE_CHART_DATA: "ACTION_SESSIONS_PARSE_CHART_DATA",
  PARSE_DATA: "ACTION_SESSIONS_PARSE_DATA",
  SET_DAY: "ACTION_SESSIONS_SET_DAY"
};

export const SETTINGS_ACTIONS = {
  SET_LAYOUT: "ACTION_SETTINGS_SET_LAYOUT"
};

export const WEAPON_NAMES = {
  "BFG": "BFG10k",
  "G": "Gauntlet",
  "GL": "Grenade Launcher",
  "LG": "Lightning Gun",
  "MG": "Machine Gun",
  "PG": "Plasma Gun",
  "RG": "Railgun",
  "RL": "Rocket Launcher",
  "SG": "Shotgun"
};

export const ITEM_NAMES = {
  "GA": "Green Armor",
  "MH": "Mega Health",
  "RA": "Red Armor",
  "Regen": "Regeneration",
  "YA": "Yellow Armor"
};

export const POWERUP_NAMES = {
  "Quad": "Quad Damage"
};
