/**
 * Copyright (c) 2017 Tomek Wójcik <tomek@bthlabs.pl>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

import Button from "react-bootstrap/lib/Button";
import Modal from "react-bootstrap/lib/Modal";
import React from "react";

class AboutModalView extends React.PureComponent {
  render () {
    return (
      <Modal show={this.props.show} onHide={this.props.onHide}>
        <Modal.Header closeButton>
          <Modal.Title>About</Modal.Title>
        </Modal.Header>

        <Modal.Body className="q3stats-about-modal-view">
          <p className="lead text-center">Q3Stats v{window.Q3STATS.version}</p>
          <p className="text-center small">
            Copyright &copy; 2017 by <a href="https://www.bthlabs.pl/">Tomek Wójcik</a>
          </p>
          <p className="text-center small">Licensed under terms of MIT License</p>
          <p>
            This application uses Highcharts. Please make sure you understand
            the licesing terms of this library and purchase license
            if needed. <a href="https://shop.highsoft.com/highcharts/#non-com">Learn more &raquo;</a>
          </p>
          <p>Q3Stats is powered by: <em>classnames</em>, <em>highcharts</em>, <em>
          react</em>, <em>react-dom</em>, <em>react-redux</em>, <em>
          react-router</em>, <em>redux</em>, <em>underscore</em> and <em>
          whatwg-fetch</em>.</p>
          <p>Greetz: <em>Eliminator</em>, <em>kapitan</em>, <em>kraju</em>, <em>mcvsama
          </em>, <em>Szeryf Bydgoszczy</em>, <em>unnamedDzwiedziu</em>.</p>
          <p className="text-center"><small><strong>The 5th floor lives on!</strong></small></p>
        </Modal.Body>

        <Modal.Footer>
          <Button onClick={this.props.onHide}>Close</Button>
        </Modal.Footer>
      </Modal>
    );
  }
}

AboutModalView.propTypes = {
  show: React.PropTypes.bool.isRequired,
  onHide: React.PropTypes.func.isRequired
};

export default AboutModalView;
