/**
 * Copyright (c) 2017 Tomek Wójcik <tomek@bthlabs.pl>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

import React from "react";

class ErrorView extends React.PureComponent {
  render () {
    return (
      <div className="q3stats-error-view">
        <div className="container">
          <div className="row">
            <div className="col-sm-6 col-sm-offset-3 text-center">
              <h2>Whoops!</h2>
              <p className="lead">Apparently something went wrong. Sorry for that.</p>
              {(this.props.params.errorCode) &&
                <p className="text-muted">
                  <small>Error code: {this.props.params.errorCode}</small>
                </p>
              }
            </div>
          </div>
        </div>
      </div>
    );
  }
}

ErrorView.propTypes = {
  params: React.PropTypes.object
};

export default ErrorView;
