var webpack = require("webpack");
var path = require("path");

var BUILD_DIR = path.resolve(
  __dirname, "..", "q3stats", "web_app", "static", "js"
);
var APP_DIR = path.resolve(__dirname, "src");

var config = {
  devtool: "source-map",
  entry: [
    "whatwg-fetch",
    APP_DIR + "/main.js"
  ],
  output: {
    path: BUILD_DIR,
    filename: "q3stats.js"
  },
  module: {
    loaders: [
      {
        test: /\.js?/,
        include: APP_DIR,
        loader: "babel-loader",
        query: {
          presets: ["es2015", "react"]
        }
      }
    ]
  }
};

module.exports = config;
