# -*- coding: utf-8 -*-
# Copyright (c) 2017 Tomek Wójcik <tomek@bthlabs.pl>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#

"""
q3stats.lib.defs
================

This module contains constants used across the project.
"""

#: Standard date format.
DATE_FORMAT = '%Y-%m-%d'

#: Standard time format.
TIME_FORMAT = '%H:%M:%S'

#: Dictionary mapping Q3A weapon symbols to human readable names.
WEAPON_NAMES = {
    'BFG': 'BFG10k',
    'G': 'Gauntlet',
    'GL': 'Grenade Launcher',
    'LG': 'Lightning Gun',
    'MG': 'Machine Gun',
    'PG': 'Plasma Gun',
    'RG': 'Railgun',
    'RL': 'Rocket Launcher',
    'SG': 'Shotgun',
}

#: Dictionary mapping Q3A item symbols to human readable names.
ITEM_NAMES = {
    'GA': 'Green Armor',
    'MH': 'Mega Health',
    'RA': 'Red Armor',
    'Regen': 'Regeneration',
    'YA': 'Yellow Armor',
}

#: Dictionary mapping Q3A powerup symbols to human readable names.
POWERUP_NAMES = {
    'Quad': 'Quad Damage'
}
