# -*- coding: utf-8 -*-
# Copyright (c) 2017 Tomek Wójcik <tomek@bthlabs.pl>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#

"""
q3stats.lib.stats
=================

This module contains functions for dealing with stats.
"""


def weapon_accuracy(weapon, weapon_stats):
    """Returns a string representation of weapon accuracy."""
    if weapon == 'G':
        return '---'

    if weapon_stats['shots'] == 0:
        return 'NaN'

    accuracy = float(weapon_stats['hits']) / float(weapon_stats['shots'])
    return '{:.2%}'.format(accuracy)


def powerup_time(seconds):
    """Returns a string representation of powerup time."""
    if not seconds:
        return 'NaN'

    result = str(seconds)
    if len(result) < 4:
        result = result.zfill(4)

    result = result[0:-3] + '.' + result[-3:]
    return result
