# -*- coding: utf-8 -*-
# Copyright (c) 2017 Tomek Wójcik <tomek@bthlabs.pl>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#

import codecs
from setuptools import setup

import q3stats

DESCRIPTION = u"""Q3Stats is a Web application that allows you to import and
analyze stats generated by CPMA mod for Quake 3: Arena."""

with codecs.open('requirements.txt', 'r', 'utf-8') as requirements_f:
    requirements = requirements_f.readlines()

setup(
    name='q3stats',
    version=q3stats.__version__,
    description=DESCRIPTION,
    author='Tomek Wójcik',
    author_email='tomek@bthlabs.pl',
    license='MIT',
    packages=[
        'q3stats',
        'q3stats.lib',
        'q3stats.lib.charts',
        'q3stats.lib.scripts',
        'q3stats.models',
        'q3stats.scripts',
        'q3stats.web_app',
        'q3stats.web_app.blueprints',
        'q3stats.web_app.blueprints.api_v1',
        'q3stats.web_app.blueprints.api_v1.views',
        'q3stats.web_app.blueprints.frontend'
    ],
    install_requires=requirements,
    include_package_data=True,
    zip_safe=False
)
